# $Id: rubygem-gpgme.spec 1350 2013-11-02 17:27:51Z rpmbuild $
# repo: RE
# restrictions: el6

# Generated from gpgme-2.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gpgme

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
%global geminstdir %{gemdir}/gems/%{gem_name}-%{version}
%global rubyabi 1.8

Summary: Ruby binding of GPGME
Name: rubygem-%{gem_name}
Version: 2.0.2
Release: %RErelease 2
Group: Development/Languages
License: LGPLv2.1+
URL: http://github.com/ueno/ruby-gpgme
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: gpgme-2.0.1.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: ruby 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby 
BuildRequires: ruby-devel
BuildRequires: gnupg
#BuildRequires: gnupg2-smime
BuildRequires: libassuan-devel
BuildRequires: libgpg-error-devel
BuildRequires: gpgme-devel
BuildRequires: rpm-macros-razorsedge
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby-GPGME is a Ruby language binding of GPGME (GnuPG Made Easy). GnuPG Made
Easy (GPGME) is a library designed to make access to GnuPG easier for
applications. It provides a High-Level Crypto API for encryption, decryption,
signing, signature verification, and key management.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch0 -p1

%build
gem build %{gem_name}.gemspec
%{__mkdir_p} .%{gemdir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gemdir} \
            -V \
            --force %{gem_name}-%{version}.gem

%install
%{__mkdir_p} %{buildroot}%{gemdir}
%{__cp} -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

chmod -R g-w %{buildroot}%{geminstdir}

# move arch dependent files to %%ruby_sitearch
%{__mkdir_p} %{buildroot}%{ruby_sitearch}
%{__mv} %{buildroot}%{geminstdir}/lib/*.so %{buildroot}%{ruby_sitearch}/

# Remove the binary extension sources and build leftovers.
%{__rm} -rf %{buildroot}%{geminstdir}/ext
#%{__rm} -rf %{buildroot}%{geminstdir}/examples
#%{__rm} -rf %{buildroot}%{geminstdir}/test
%{__rm} -rf %{buildroot}%{geminstdir}/.require_paths

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root, root,-)
%{gemdir}/gems/%{gem_name}-%{version}/
%{gemdir}/cache/%{gem_name}-%{version}.gem
%{gemdir}/specifications/%{gem_name}-%{version}.gemspec
%{ruby_sitearch}/%{gem_name}*

%files doc
%doc %{gemdir}/doc/%{gem_name}-%{version}
#%doc AUTHORS COPYING COPYING.LESSER NEWS README.rdoc THANKS examples/


%changelog
* Fri Nov 01 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> - 2.0.2-2
- Switch to using shared libraries.

* Wed Oct 16 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> - 2.0.2-1
- First build.

